Skip to main content
GET
/
usage
cURL
curl -X GET "https://apiv3.creatordb.app/usage" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "records": [
      {
        "date": "<string>",
        "requestCount": 1,
        "totalQuotaUsed": 1,
        "endpoints": {},
        "platforms": {},
        "quotaByPlatform": {}
      }
    ],
    "count": 1
  },
  "traceId": "<string>",
  "timestamp": 123,
  "errorCode": "<string>",
  "errorDescription": "<string>",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

start
string

Start date, represented as a Unix timestamp in milliseconds. Defaults to 7 days ago.

Example:

"1737312000000"

end
string

End date, represented as a Unix timestamp in milliseconds. Defaults to current time.

Example:

"1737398400000"

Response

API credit usage results returned successfully.

data
object
required

API usage data containing records and count.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026